Paycose Docs
Customer
GET/customers/{customer_id}

Retrieve

Retrieve a specific customer by ID.

Returns the customer's name, email, phone, address, capabilities, metadata, and provider customer ID.

Requires: Bearer token, X-Country header.

Request

Example

curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/customers/{{customer_id}}' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}' \
  -H 'X-Test-Mode: {{x_test_mode}}'

Headers

NameValueDescription
X-Session-Token{{session_token}}
X-Country{{country}}
X-Test-Mode{{x_test_mode}}true=wallet_test, false=wallet_live (default). Toggle the x_test_mode collection variable to flip every applicable request.

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "id": "<string>",
  "object": "<string>",
  "livemode": false,
  "created_at": null,
  "updated_at": null,
  "name": "<string>",
  "email": "<string>",
  "phone": "<string>",
  "address": {
    "city": "<string>",
    "country": "<string>",
    "line1": "<string>",
    "line2": "<string>",
    "postal_code": "<string>",
    "state": "<string>"
  },
  "shipping": {
    "name": "<string>",
    "phone": "<string>",
    "address": {
      "city": "<string>",
      "country": "<string>",
      "line1": "<string>",
      "line2": "<string>",
      "postal_code": "<string>",
      "state": "<string>"
    }
  },
  "is_system": false,
  "is_application_customer": false,
  "capabilities": {
    "charge": false,
    "transfer": false,
    "payout": false
  },
  "tax_ids": [
    {
      "type": "<string>",
      "value": "<string>",
      "country": "<string>",
      "verification_status": "<string>"
    }
  ],
  "metadata": {},
  "labels": "<core.Labels>",
  "invoice_settings": {},
  "tax_exempt": "<string>",
  "preferred_locales": [
    "<string>"
  ],
  "business_name": "<string>",
  "currency": "<string>",
  "invoice_balance": [
    {
      "currency": "<string>",
      "amount": 0,
      "scaling_factor": 0
    }
  ]
}
400400 Bad Request

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

On this page